Redmine - Feature #3367

Copy versions/custom fields/wiki when copying a project
2009-05-15 23:43 - Kioma Aldecoa

Status: Closed Start date: 2009-05-15
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Projects Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed

Description

On the latest trunk, when copying a project from source->destination, the destination project does not have any versions, wiki, or
custom fields, even if the source project did.

Also, issues in the destination project have versions that seem to point to the versions of the source project, which does not make
sense.

Would expect the destination project to have a copy of the versions, wiki, and custom fields of the source project.

Related issues:

Related to Redmine - Defect #3402: Copy project doesn't copy versions, catego... Closed 2009-05-21
Related to Redmine - Feature #886: Copy A Project Closed 2008-03-18
Related to Redmine - Feature #1125: Template projects - Or copy as new feature Closed 2008-04-28
Has duplicate Redmine - Defect #3459: target version on copy project Closed 2009-06-07

Associated revisions

Revision 2934 - 2009-10-19 02:07 - Eric Davis

Improved Project#copy to copy more data from the source Project. #3367
e \ersions

e Associate the copied issues with the new versions
o Wiki

¢ WikiPages

e WikiContents

¢ IssueCategories

Revision 3164 - 2009-12-13 04:37 - Eric Davis

Copy issue relations when copying a project. (#3367)

Revision 3165 - 2009-12-13 04:37 - Eric Davis

Project custom fields are already copied via the Copy form. (#3367)

History

#1 - 2009-05-15 23:53 - Kioma Aldecoa

To be clear | am talking about the brand new feature in trunk to copy entire projects, ie:

e http://.../admin/projects
e Click copy -- http://.../projects/copy/projectname

#2 - 2009-05-17 10:14 - Jean-Philippe Lang

- Assignee set to Eric Davis

#3 - 2009-05-25 20:33 - Jean-Philippe Lang

Categories should be copied as well and issue relations too (#3402).

#4 - 2009-05-31 01:50 - Eric Davis

- Tracker changed from Defect to Feature
#5 - 2009-05-31 01:53 - Eric Davis

- Subject changed from Copying a project does not copy versions/custom fields/wiki of source project to Copy versions/custom fields/wiki when
copying a project

- Status changed from New to 7

Changed this to a feature request; Versions and Wiki aren't included in the original copy project. The Issues linking to the source project Version
versions would be a bug, but it will be fixed once Versions are copied.

#6 - 2009-07-10 08:20 - J.N. Tang
Eric Davis wrote:
Changed this to a feature request; Versions and Wiki aren't included in the original copy project. The Issues linking to the source project Version

versions would be a bug, but it will be fixed once Versions are copied.

| hope the copy function will copy the issue type setting, version planned

#7 - 2009-10-19 02:05 - Eric Davis

- Target version set to 0.9.0

- % Done changed from 0 to 70

I've updated the Copy Project to copy more data from the source project and fix the Issue/Version assignments:
e Versions

e Associate the copied issues with the new versions

o Wiki

e WikiPages

e WikiContents

¢ IssueCategories

| still need to get the custom fields and issue relations to copy across.
#8 - 2009-10-20 04:44 - Kioma Aldecoa

Do you plan to also copy issue statuses? | would vote for issue statuses to also be copied when a project is copied.

#9 - 2009-10-20 07:04 - Eric Davis

Kioma Aldecoa wrote:

Do you plan to also copy issue statuses? | would vote for issue statuses to also be copied when a project is copied.

Yes but it will be part of #3877.

#10 - 2009-12-12 11:56 - Jean-Philippe Lang

Eric, anything left to do on this?

#11 - 2009-12-13 03:23 - Eric Davis
Jean-Philippe Lang:

| think just the custom fields and issue relations are left. I'm going to start on them now.

#12 - 2009-12-13 04:31 - Eric Davis
- Status changed from 7 to Closed
- % Done changed from 70 to 100

- Resolution set to Fixed
Project Copy will now copy issue relations. Turns out that custom fields were already handled by the form. r3164

#13 - 2010-11-01 20:48 - lan Epperson
Related to #5664

#14 - 2013-04-30 09:45 - David Marin Carreiio
The values of custom fields in copied issues are not kept in the new project. Please reopen.

#15 - 2013-05-04 10:31 - Toshi MARUYAMA

David Marin Carrefio wrote:

The values of custom fields in copied issues are not kept in the new project. Please reopen.

FYI: new issue #13910.

2025-07-06 3/3


https://www.redmine.org/issues/13910
http://www.tcpdf.org

